%global srcname libtmux
%global sum Scripting library for tmux
%global desc libtmux is the tool behind tmuxp, a tmux workspace manager in \
python.  It builds upon tmux's target and formats to create an object \
mapping to traverse, inspect and interact with live tmux sessions.
%global licensefile LICENSE
%global readme README.rst

Name:           python-%{srcname}
Version:        0.6.0
Release:        1%{?dist}
Summary:        %{sum}

License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://github.com/tony/%{srcname}/archive/v%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python3-devel

%description
%{desc}

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}
Requires:       tmux

%description -n python2-%{srcname}
%{desc}

%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}
Requires:       tmux

%description -n python3-%{srcname}
%{desc}

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build
%install
%py2_install
%py3_install

%files -n python2-%{srcname}
%license %{licensefile}
%doc %{readme}
%{python2_sitelib}/*

%files -n python3-%{srcname}
%license %{licensefile}
%doc %{readme}
%{python3_sitelib}/*

%changelog
* Sun Feb 12 2017 David Roble <robled@electronsweatshop.com> 0.6.0-1
- Initial release
